Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Interface TaskDataCursor

All Superinterfaces:
  Serializable, TaskInfoCursor

    public interface TaskDataCursor

extends TaskInfoCursor, Serializable

A cursor to browse a result set of tasks defined by a TaskQuery object. This cursor represents a set of tasks that satisfy the query used to create it at the moment the cursor is created (see below for more information). This cursor provides access to a 'page' of tasks at a time. You must use the WorklistTaskQuery interface to scroll the cursor forward and backward one page at a time.

You should note that this interface does NOT represent a true cursor as those familiar with database terminology would assume. This cursor does not hold any database locks, and makes no guarantees that the tasks for which it contains data will be up-to-date. This interface is most useful when the tasks it represents are not very likely to be updated over the course of the lifetime of this cursor.

The WorklistTaskQuery interface allows for refreshing a cursor at its current location, and refreshes a cursor automatically when moving it forward or backward. A refresh on this cursor refreshes the tasks the cursor represents, and the task data it holds for those tasks.

Since:
  9.2

Method Summary
`boolean` | `getIncludeTaskAssignee()` Should we retrieve assignee information along with the TaskData? This flag is set upon creation of the cursor according to the value of getIncludeTaskAssignee on the provided TaskQuery.
`boolean` | `getIncludeTaskProperties()` Should we retrieve property information along with the TaskData? This flag is set upon creation of the cursor according to the value of getIncludeTaskProperties on the provided TaskQuery.
`boolean` | `getIncludeTaskStepTimeEstimates()` Should we retrieve step time estimate information along with the TaskData? This flag is set upon creation of the cursor according to the value of getIncludeTaskStepTimeEstimates on the provided TaskQuery.
`List<String>` | `getTaskIds()` Not for public use.
`TaskData[]` | `getTasks()`
`boolean` | `hasNextPage()` Can this cursor be moved forward without being after the last task? Note that this method bases its response on the current view it has of the tasks it represents.
`boolean` | `hasPreviousPage()` Can this cursor be moved backward without being before the first task? Note that this method bases its response on the current view it has of the tasks it represents.
`boolean` | `isWithAffinity()`
`void` | `merge(TaskDataCursor other, int maxTasks)` Merge the tasks from the given cursor with the tasks in this cursor, yielding a new cursor with a maximum of maxTasks tasks within it.

Methods inherited from interface com.bea.wli.worklist.api.TaskInfoCursor
`getTaskInfos, isAfterLast, isBeforeFirst`

Method Detail

### getTasks

    TaskData[] getTasks()
                        throws ManagementException,
                               RemoteException

  Returns:
    the task data at the current position. An array of size 0 if none.
  Throws:
    `ManagementException`
    `RemoteException`

### merge

    void merge(TaskDataCursor other,
               int maxTasks)

  Merge the tasks from the given cursor with the tasks in this cursor, yielding a new cursor with a maximum of maxTasks tasks within it. The merge maintains the order of this cursor's tasks, and adds the merged tasks to the end of this cursor, elliminating any tasks in the merged cursor that already exist in this cursor. This invalidates the current page of this cursor, and resets it to return true from isBeforeFirst. You must call WorklistTaskQuery.moveCursorForward() after calling this method.

### getTaskIds

    List<String> getTaskIds()

  Not for public use.

### hasNextPage

    boolean hasNextPage()

  Can this cursor be moved forward without being after the last task? Note that this method bases its response on the current view it has of the tasks it represents. If all the tasks in the last page of tasks are deleted after calling hasNextPage and getting a true return, a subsequent call to WorklistTaskQuery.moveCursorForward would yield an empty page and the cursor would return isAfterLast()==true.

### hasPreviousPage

    boolean hasPreviousPage()

  Can this cursor be moved backward without being before the first task? Note that this method bases its response on the current view it has of the tasks it represents. If all the tasks in the first page of tasks are deleted after calling hasPreviousPage and getting a true return, a subsequent call to WorklistTaskQuery.moveCursorBackward would yield an empty page and the cursor would return isBeforeFirst()==true.

### isWithAffinity

    boolean isWithAffinity()

  Returns:
    true if the cursor was retrieved from a call to getTaskDataCursorWithAffinity(), false otherwise.
  See Also:
    `WorklistTaskQuery.getTaskDataCursorWithAffinity(TaskQuery, int)`

### getIncludeTaskAssignee

    boolean getIncludeTaskAssignee()

  Should we retrieve assignee information along with the TaskData? This flag is set upon creation of the cursor according to the value of getIncludeTaskAssignee on the provided TaskQuery.

  See Also:
    `TaskQuery.getIncludeTaskAssignee()`, `WorklistTaskQuery.getTaskDataCursor(TaskQuery, int)`, `WorklistTaskQuery.getTaskDataCursorWithAffinity(TaskQuery, int)`

### getIncludeTaskStepTimeEstimates

    boolean getIncludeTaskStepTimeEstimates()

  Should we retrieve step time estimate information along with the TaskData? This flag is set upon creation of the cursor according to the value of getIncludeTaskStepTimeEstimates on the provided TaskQuery.

  See Also:
    `TaskQuery.getIncludeTaskStepTimeEstimates()`, `WorklistTaskQuery.getTaskDataCursor(TaskQuery, int)`, `WorklistTaskQuery.getTaskDataCursorWithAffinity(TaskQuery, int)`

### getIncludeTaskProperties

    boolean getIncludeTaskProperties()

  Should we retrieve property information along with the TaskData? This flag is set upon creation of the cursor according to the value of getIncludeTaskProperties on the provided TaskQuery.

  See Also:
    `TaskSelector.getIncludeTaskProperties()`, `WorklistTaskQuery.getTaskDataCursor(TaskQuery, int)`, `WorklistTaskQuery.getTaskDataCursorWithAffinity(TaskQuery, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD